var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultIntegral_8h_source.html",
"IdStringType_8h.html#a81fb73e235a5bbed45f12de9a1514b4b",
"MediaBlockList_8h_source.html",
"PackageProvider_8h.html",
"PoolMember_8h.html#ae94cd07a576454d3dd6803db524488b7",
"RepoManager_8cc.html#aa48d6b212d901c2e5077a9ce1dbc4893",
"SATResolver_8cc.html#af65f2a0c2c447cd65733140fd825f1ed",
"String_8h.html#a116c5922b5388e7df08af9d94079f3dcade1c3da09719f64b2c090a5a04c00ec6",
"UrlBase_8cc.html#a22a2d188256f8cf2151a7e73a7f6f3a4",
"classzypp_1_1Arch.html#a2c42605a6fef59db077714593ba8253f",
"classzypp_1_1Capability.html#a578e8a379ec302b46b82700e3096ce30",
"classzypp_1_1Date.html#a10d8dd6c52276a392b2a90646d276831",
"classzypp_1_1ExternalProgram.html#a569290605b69ca72af7d274b507394b6",
"classzypp_1_1IdString.html#a7c1be0581da13219aad7f7a3c948619d",
"classzypp_1_1Match.html#a00ecacdf43fd60b3dbfde74b04209c95",
"classzypp_1_1Pattern.html#a2f0bbb2be05506a639a07635ef067d99",
"classzypp_1_1PoolQuery.html#aa63732f6fc6a63b181517493f25a597d",
"classzypp_1_1PublicKey.html#ad2fc25c1982cc2cd0e5d02feec683966",
"classzypp_1_1Repository.html#a3dbcbbc4c1813062caac9da0a40cbe59",
"classzypp_1_1ResStatus.html#a1a8cbb1088c9345e7c23dfcb9638bf72",
"classzypp_1_1SerialNumber.html#a467487c42c4b18c2579f817d337a25ae",
"classzypp_1_1Url.html#ab016525e0fef08cbcc21db0da876fbc2",
"classzypp_1_1ZYppCommitPolicy.html#abec7bab7b7261e93a4f2a7f6039b125e",
"classzypp_1_1base_1_1logger_1_1Loglinebuf.html",
"classzypp_1_1filesystem_1_1PathInfo.html#a18de653f69871caa3d564f59c2920296",
"classzypp_1_1gzstream__detail_1_1fgzstreambuf.html#ad87cefef6289e3a3fef8857127d5b143",
"classzypp_1_1media_1_1MediaCurl.html#a0a203b64ae743397e3708cf35ff03f0b",
"classzypp_1_1media_1_1MediaManager__Impl.html#a971761db4b7972e309560b05183ab24c",
"classzypp_1_1media_1_1TransferSettings.html#a3bec453d4c247aaa8cbe321acc6ba033",
"classzypp_1_1parser_1_1ParserProgress.html#ac52926c6f852b603da65d725948a1b9f",
"classzypp_1_1repo_1_1PluginServices.html#a3904524d7beb65a876a8abf55e695e6d",
"classzypp_1_1sat_1_1LookupAttr.html#a104569c95181b53a0acb488326013b13",
"classzypp_1_1sat_1_1Queue.html#af7ab708b86b3a9275a328760ce4f0f27",
"classzypp_1_1sat_1_1Solvable_1_1SplitIdent.html#afc893331028c56a60b2442dab8a38adb",
"classzypp_1_1solver_1_1detail_1_1HelixControl.html#a9fbbc600a44bbe005c1ef656ec2aa2eb",
"classzypp_1_1target_1_1RequestedLocalesFile.html#ab7781ebf529fa9c9f14eb3ac857c5e88",
"classzypp_1_1target_1_1rpm_1_1BinHeader_1_1intList.html#af1619e85eefc76abc2c7fb9945029070",
"classzypp_1_1target_1_1rpm_1_1librpmDb.html#af6f8500994e57be4003c44043f231a97",
"classzypp_1_1url_1_1UrlBase.html#a8036ec9706bef3a309f352e401d2e6b9",
"classzypp_1_1zypp__detail_1_1ZYppImpl.html#a0f33dd45e64530dc4deb921e516c6bd9",
"group__DBG__TRACER.html#gabc561b1b8594d24af3cdf34a74cadeac",
"namespacemembers_func_n.html",
"structzypp_1_1AutoDispose_1_1Impl.html",
"structzypp_1_1GetPairFirst.html",
"structzypp_1_1PoolItemSaver.html#a80142094b94bf5e151342c3bf321c154",
"structzypp_1_1RepoInfo_1_1Impl.html#aa16fb8d54f58b1f31fa7ac62e3f03f51",
"structzypp_1_1ZConfig_1_1Impl_1_1MultiversionMap.html#a2085dff573cb64c637151e535a69e97d",
"structzypp_1_1externalprogram_1_1EarlyPipe.html#a993dd7ab11e550fd95431d61b8f159b1",
"structzypp_1_1media_1_1TmpUnsetEnv.html#ab0314850ca3f5aa4d68f4d47a8148d07",
"structzypp_1_1repo_1_1RepoVariablesStringReplacer.html#af456521b03f30eeeeaefe5bb2809d61c",
"structzypp_1_1sat_1_1Transaction_1_1Impl.html#affc1e611f2819d9a05d5b5fbde1bd0c3",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#a41fe2e69c7244c3c79f171cf8d732750",
"zypp--appdata.html#zypp-appdata_intro"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';